commit:     72062603f31286ec1454911e1edd9b648769b1dd
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Wed May  1 08:20:43 2019 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Wed May  1 08:21:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72062603

net-vpn/openfortivpn: Version bump 1.9.0

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Johannes Huber <johu <AT> gentoo.org>

 net-vpn/openfortivpn/Manifest                  |  1 +
 net-vpn/openfortivpn/openfortivpn-1.9.0.ebuild | 38 ++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/net-vpn/openfortivpn/Manifest b/net-vpn/openfortivpn/Manifest
index b309783b649..9e743219e7c 100644
--- a/net-vpn/openfortivpn/Manifest
+++ b/net-vpn/openfortivpn/Manifest
@@ -1,2 +1,3 @@
 DIST openfortivpn-1.7.1.tar.gz 61236 BLAKE2B 
b382ceac577e63ebb7a92ee3ca80c45e94f77eb95f8ea75f91a4c2ca2fb006f4d2e5e4c7bdf3974875cfb3611f34ef249218d194d58f66f3b51b30c8b90a3f82
 SHA512 
9c151ce3f914a7cba13be3e3b98e35d49329ac2c04410b653ce40dfb9fe1912c2e51d0322f9e37d5ed47bb28a46203a19ce87ab2fa670229f2b5ccf5b9bb6fc1
 DIST openfortivpn-1.8.1.tar.gz 70521 BLAKE2B 
5451ab9937e0f6ba1c2601f9ad8a44d5b9954b9798f4a4aa81675d561f5aa95890946a5623af9a57db6e20fe074e65b0578655ca538c20751e7e1363df01ab68
 SHA512 
0c2f26e744c266125bf35a643bc2510d782c9c7b4e3324cef53cc7e9a350df3c968c4d0d34256a64cf6b7d1cad2ffc95019a39586786238481dda20030e524a9
+DIST openfortivpn-1.9.0.tar.gz 71903 BLAKE2B 
0f37b782944e96ba043b82bb172cdd90badf501a31f4ef253cdfc2ea59f4d478ccb4de15514df279059ad41ff3d872e2521ebc64af56844e5d3dd719e8965e18
 SHA512 
bea07d173f84562e37bbd925fc9ca1ffc4b91442792d29dd5f78849a44df7f4f677f306bb9020ca3ebdc4da1d5635bb4e746455c4ccf9ef1598c8100dcb2df7a

diff --git a/net-vpn/openfortivpn/openfortivpn-1.9.0.ebuild 
b/net-vpn/openfortivpn/openfortivpn-1.9.0.ebuild
new file mode 100644
index 00000000000..a0280e748da
--- /dev/null
+++ b/net-vpn/openfortivpn/openfortivpn-1.9.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info
+
+DESCRIPTION="A Fortinet compatible VPN client"
+HOMEPAGE="https://github.com/adrienverge/openfortivpn";
+SRC_URI="https://github.com/adrienverge/openfortivpn/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3-with-openssl-exception openssl"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="libressl"
+
+DEPEND="
+       net-dialup/ppp
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+
+CONFIG_CHECK="~PPP ~PPP_ASYNC"
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' Makefile.am || die "Failed to remove -Werror from 
Makefile.am"
+
+       eautoreconf
+}
+
+src_install() {
+       default
+
+       keepdir /etc/openfortivpn
+}

Reply via email to